<mat-card class="mat-elevation-z0">
  <div class="homeless-review-small-box mat-elevation-z4" fxLayout="column">
    <div class="homeless-review-container mat-elevation-z4">
      <form [formGroup]="homeless1To4YearsFormGroup" class="section">
        <mat-accordion>
          <mat-expansion-panel [expanded]="homelessCountsExpanded" (opened)="homelessCountsExpanded = true"
            (closed)="homelessCountsExpanded = false">
            <mat-expansion-panel-header>
              <mat-panel-title>
                <mat-icon class="expand-collapse-icon">
                  {{ homelessCountsExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                <span class="homeless-expansion-label">
                  Homeless Counts
                </span>
              </mat-panel-title>
            </mat-expansion-panel-header>
            <ag-grid-angular style="width: 100%" class="ag-theme-balham homeless-counts-grid"
              [rowData]="homelessCountsRowData" [columnDefs]="homelessCountsColumnDefs"
              (gridReady)="homelessCountsOnGridReady($event)" [floatingFilter]="true" [animateRows]="false"
              [overlayNoRowsTemplate]="homelessCountsOverlayNoRowsTemplate"
              [defaultColDef]="homelessCountsDefaultColDef" [pagination]="true" [paginationPageSize]="10">
            </ag-grid-angular>
          </mat-expansion-panel>
        </mat-accordion>
        <br>
        <div fxLayout="column" flex>
          <div fxLayout="row">
            <div fxFlex="70" class="col1header"><span fxFlex="100">Homeless 1-4 Years Questions</span>
            </div>
            <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674 || clientCategory === 675 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently homeless (including in HASA temporary housing)?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="currentlyHomelessCtrl" (change)="onCurrentlyHomelessChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.currentlyHomelessSource === 679 ? 'Application' : homeless1To4Years.currentlyHomelessSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least two of the last four years?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless2OfPast4YearsCount">
                  ({{ homeless1To4Years.homeless2OfPast4YearsCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless2OfPast4YearsCtrl"
                (change)="onHomeless2OfPast4YearsChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless2OfPast4YearsSource === 679 ? 'Application' : homeless1To4Years.homeless2OfPast4YearsSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least one year of the last two years?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless1OfPast2YearsCount">
                  ({{ homeless1To4Years.homeless1OfPast2YearsCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless1OfPast2YearsCtrl"
                (change)="onHomeless1OfPast2YearsChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless1OfPast2YearsSource === 679 ? 'Application' : homeless1To4Years.homeless1OfPast2YearsSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 671 || clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least 6 months in the last one year?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless6mOfPast1YearCount">
                  ({{ homeless1To4Years.homeless6mOfPast1YearCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless6mOfPast1YearCtrl"
                (change)="onHomeless6mOfPast1YearChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless6mOfPast1YearSource === 679 ? 'Application' : homeless1To4Years.homeless6mOfPast1YearSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 671 || clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least⁠ 4 months in the last one year?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless4mOfPast1YearCount">
                  ({{ homeless1To4Years.homeless4mOfPast1YearCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless4mOfPast1YearCtrl"
                (change)="onHomeless4mOfPast1YearChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless4mOfPast1YearSource === 679 ? 'Application' : homeless1To4Years.homeless4mOfPast1YearSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 675 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Currently in a DHS contracted single adult shelter, drop-in center, safe haven or street
                outreach?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="currentlyInDHSShelterCtrl"
                (change)="onCurrentlyInDHSShelterChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.currentlyInDHSShelterSource === 679 ? 'Application' : homeless1To4Years.currentlyInDHSShelterSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 672 || clientCategory === 674 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least 90 days in the last year in a DHS contracted shelter,
                DYCD RHY shelter or unsheltered?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless90DaysOfPast1YearCount">
                  ({{ homeless1To4Years.homeless90DaysOfPast1YearCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless90DaysOfPast1YearCtrl"
                (change)="onHomeless90DaysOfPast1YearChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless90DaysOfPast1YearSource === 679 ? 'Application' : homeless1To4Years.homeless90DaysOfPast1YearSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 671 || clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been homeless for at least 14 of the last 60 days?
                <span class="homeless-count-text" *ngIf="homeless1To4Years && homeless1To4Years.homeless14OfPast60DaysCount">
                  ({{ homeless1To4Years.homeless14OfPast60DaysCount }})
                </span>
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless14OfPast60DaysCtrl"
                (change)="onHomeless14OfPast60DaysChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless14OfPast60DaysSource === 679 ? 'Application' : homeless1To4Years.homeless14OfPast60DaysSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 671 || clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Continue with prior NY/NY I/II Homeless Eligibility?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="continuePriorIandIIEligibilityCtrl"
                (change)="onContinuePriorIandIIEligibilityChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.continuePriorIandIIEligibilitySource === 679 ? 'Application' : homeless1To4Years.continuePriorIandIIEligibilitySource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674 || clientCategory === 675 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant been 365 days homeless (continuous) in the past year?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless365daysOfPast1YearCtrl" disabled>
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless365daysOfPast1YearSource === 679 ? 'Application' : homeless1To4Years.homeless365daysOfPast1YearSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674 || clientCategory === 675 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Has the applicant had 4 episodes of homelessness in the past 3 years (totaling 365 days or
                more)?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="homeless4EpisodesPast3YearsCtrl" disabled>
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ homeless1To4Years ? homeless1To4Years.homeless4EpisodesPast3YearsSource === 679 ? 'Application' : homeless1To4Years.homeless4EpisodesPast3YearsSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</mat-card>
<div class="homeless-bottom-main">
  <div class="homeless-bottom-sub">
    <div class="homeless-bottom-sub-button-parent-left">
      <button type="button" mat-raised-button color="primary" (click)="saveHomeless1To4YearsData()" matTooltip="Save"
        matTooltipClass="pact-tooltip">Save</button>
    </div>
    <div class="homeless-bottom-sub-button-parent-right">
      <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
        matTooltipClass="pact-tooltip">Previous</button>
      &nbsp;&nbsp;
      <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
        matTooltipClass="pact-tooltip">Next</button>
    </div>
  </div>
</div>